using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Kvadrati
{
    class Program
    {
        static void Main(string[] args)
        {
            var line = Console.ReadLine().Split(' ');
            int x1 = int.Parse(line[0]);
            int y1 = int.Parse(line[1]);
            line = Console.ReadLine().Split(' ');
            int x2 = int.Parse(line[0]);
            int y2 = int.Parse(line[1]);
            if ((x1 == x2) || (y1 == y2)) Console.WriteLine(2);
            else if (Math.Abs(x1 - x2) == Math.Abs(y1 - y2)) Console.WriteLine(1);
            else Console.WriteLine(0);
        }
    }
}